<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::playlistParser::test::MockContentFetcher Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html">MockContentFetcher</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::playlistParser::test::MockContentFetcher Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A mock content fetcher.  
 <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_mock_content_fetcher_8h_source.html">MockContentFetcher.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::playlistParser::test::MockContentFetcher:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_inherit__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::HTTPContentFetcher\lInterface" alt="" coords="5,5,247,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::playlistParser::test::MockContentFetcher:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_coll__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::HTTPContentFetcher\lInterface" alt="" coords="5,5,247,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab0872a90a53a69859befba2c98efcaf4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#ab0872a90a53a69859befba2c98efcaf4">MockContentFetcher</a> (const std::string &amp;url)</td></tr>
<tr class="separator:ab0872a90a53a69859befba2c98efcaf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657138cd4d94b32225795e0b407c0286"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#a657138cd4d94b32225795e0b407c0286">getUrl</a> () const override</td></tr>
<tr class="separator:a657138cd4d94b32225795e0b407c0286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa619de0a800e158bdc3d8c33defa2f38"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html">HTTPContentFetcherInterface::Header</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#aa619de0a800e158bdc3d8c33defa2f38">getHeader</a> (std::atomic&lt; bool &gt; *shouldShutdown) override</td></tr>
<tr class="separator:aa619de0a800e158bdc3d8c33defa2f38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2249b8da6ded3d53fdd8f54544b80fe6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">HTTPContentFetcherInterface::State</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#a2249b8da6ded3d53fdd8f54544b80fe6">getState</a> () override</td></tr>
<tr class="separator:a2249b8da6ded3d53fdd8f54544b80fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1dc247875b164df20e80949aa3b2c8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#acf1dc247875b164df20e80949aa3b2c8">getBody</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt; writer) override</td></tr>
<tr class="separator:acf1dc247875b164df20e80949aa3b2c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7df84f60c055db64446ec935f0fb5a61"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#a7df84f60c055db64446ec935f0fb5a61">shutdown</a> () override</td></tr>
<tr class="separator:a7df84f60c055db64446ec935f0fb5a61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb1f0f907d7ff710a501c4342c10918c"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html">avsCommon::utils::HTTPContent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher.html#adb1f0f907d7ff710a501c4342c10918c">getContent</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a> fetchOption, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt; writer, const std::vector&lt; std::string &gt; &amp;customHeaders=std::vector&lt; std::string &gt;()) override</td></tr>
<tr class="separator:adb1f0f907d7ff710a501c4342c10918c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a></td></tr>
<tr class="memitem:a5c1e66c49c3bf1dbc6ceda042c444793 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5c1e66c49c3bf1dbc6ceda042c444793">~HTTPContentFetcherInterface</a> ()=default</td></tr>
<tr class="separator:a5c1e66c49c3bf1dbc6ceda042c444793 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af05e284931dcb648a0e4a1cb9eb4cd7e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#af05e284931dcb648a0e4a1cb9eb4cd7e">getBody</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt; writer)=0</td></tr>
<tr class="separator:af05e284931dcb648a0e4a1cb9eb4cd7e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ad46788f5f434b3a79168c4ebbe4eb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">virtual std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html">avsCommon::utils::HTTPContent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8ad46788f5f434b3a79168c4ebbe4eb3">getContent</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a> option, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt; writer=nullptr, const std::vector&lt; std::string &gt; &amp;customHeaders=std::vector&lt; std::string &gt;())=0</td></tr>
<tr class="separator:a8ad46788f5f434b3a79168c4ebbe4eb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a></td></tr>
<tr class="memitem:aa2dbdbb9bbf0442fff5b43d7baa40190 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a69f4c5323778d9d6383109d492070656">FetchOptions::CONTENT_TYPE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a88688062deacd9356286364aef9601f7">FetchOptions::ENTIRE_BODY</a>
 }</td></tr>
<tr class="memdesc:aa2dbdbb9bbf0442fff5b43d7baa40190"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents what HTTP content to fetch.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">More...</a><br /></td></tr>
<tr class="separator:aa2dbdbb9bbf0442fff5b43d7baa40190 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba5364b9cdcabdc4dcab1d8a64370b86 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">State</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86adee5f03c2c4e73657824e028494b18c0">State::INITIALIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aecb032beffdf90ff84b145c0c361313c">State::FETCHING_HEADER</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac449178c9953cdc0fe17c4d69f85f7ee">State::HEADER_DONE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac67d580e25dcbffc9a54a12bd74da057">State::FETCHING_BODY</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2">State::BODY_DONE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86abb1ca97ec761fc37101737ba0aa2e7c5">State::ERROR</a>
<br />
 }</td></tr>
<tr class="memdesc:aba5364b9cdcabdc4dcab1d8a64370b86"><td class="mdescLeft">&#160;</td><td class="mdescRight">The state of payload fetching.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">More...</a><br /></td></tr>
<tr class="separator:aba5364b9cdcabdc4dcab1d8a64370b86 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a></td></tr>
<tr class="memitem:ad4fd816761ed2e1d94fd0622ef953ac4 inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ad4fd816761ed2e1d94fd0622ef953ac4">getUserAgent</a> ()</td></tr>
<tr class="separator:ad4fd816761ed2e1d94fd0622ef953ac4 inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64758ffbfef79b3f000e1dca8b86b1c2 inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">stateToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">State</a> state)</td></tr>
<tr class="separator:a64758ffbfef79b3f000e1dca8b86b1c2 inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock content fetcher. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab0872a90a53a69859befba2c98efcaf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0872a90a53a69859befba2c98efcaf4">&#9670;&nbsp;</a></span>MockContentFetcher()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::playlistParser::test::MockContentFetcher::MockContentFetcher </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acf1dc247875b164df20e80949aa3b2c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf1dc247875b164df20e80949aa3b2c8">&#9670;&nbsp;</a></span>getBody()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::playlistParser::test::MockContentFetcher::getBody </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt;&#160;</td>
          <td class="paramname"><em>writer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adb1f0f907d7ff710a501c4342c10918c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb1f0f907d7ff710a501c4342c10918c">&#9670;&nbsp;</a></span>getContent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html">avsCommon::utils::HTTPContent</a>&gt; alexaClientSDK::playlistParser::test::MockContentFetcher::getContent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a>&#160;</td>
          <td class="paramname"><em>fetchOption</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">avsCommon::avs::attachment::AttachmentWriter</a> &gt;&#160;</td>
          <td class="paramname"><em>writer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>customHeaders</em> = <code>std::vector&lt;std::string&gt;()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa619de0a800e158bdc3d8c33defa2f38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa619de0a800e158bdc3d8c33defa2f38">&#9670;&nbsp;</a></span>getHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html">HTTPContentFetcherInterface::Header</a> alexaClientSDK::playlistParser::test::MockContentFetcher::getHeader </td>
          <td>(</td>
          <td class="paramtype">std::atomic&lt; bool &gt; *&#160;</td>
          <td class="paramname"><em>shouldShutdown</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Waits until the header was fetched successfully. If any problem happened during header, returns <code>false</code>. After the header was already fetched, this method can be called multiple times and will return immediately.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">shouldShutdown</td><td>A pointer to allow for the caller to asynchronously cancel the wait, if needed. this argument is optional. If it is a null pointer, the function will ignore it. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The header struct. It is the caller's responsibility to check the struct to see if the header was retrieved successfully. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a145c122572e43c147d50fc1e5aa74ee3">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>.</p>

</div>
</div>
<a id="a2249b8da6ded3d53fdd8f54544b80fe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2249b8da6ded3d53fdd8f54544b80fe6">&#9670;&nbsp;</a></span>getState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">HTTPContentFetcherInterface::State</a> alexaClientSDK::playlistParser::test::MockContentFetcher::getState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The current content fetching state. In particular, a caller of <code>getBody</code>, an asynchronous function, can use this method to monitor the download progress.</p>
<dl class="section return"><dt>Returns</dt><dd>The current content fetching state. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5b0dd0688189652c23542e8f1bb0a8e2">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>.</p>

</div>
</div>
<a id="a657138cd4d94b32225795e0b407c0286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657138cd4d94b32225795e0b407c0286">&#9670;&nbsp;</a></span>getUrl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::playlistParser::test::MockContentFetcher::getUrl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Gets the URL associated with this content fetcher</p>
<dl class="section return"><dt>Returns</dt><dd>The content fetcher URL </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ade5a7f42801cc9f3c3737a7c5ff1363f">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>.</p>

</div>
</div>
<a id="a7df84f60c055db64446ec935f0fb5a61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7df84f60c055db64446ec935f0fb5a61">&#9670;&nbsp;</a></span>shutdown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::MockContentFetcher::shutdown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Shuts down the content fetcher. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8381635579b31e3e99f4432ceb656709">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/PlaylistParser/test/PlaylistParser/<a class="el" href="_mock_content_fetcher_8h_source.html">MockContentFetcher.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
